org.apache.commons.math3.ode

## Class UnknownParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.ode.UnknownParameterException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class UnknownParameterException
    extends MathIllegalArgumentException

Exception to be thrown when a parameter is unknown.

Since:
  3.1
Version:
  $Id: UnknownParameterException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private String` `name` Parameter name.
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`UnknownParameterException(String name)` Construct an exception from the unknown parameter.

### Method Summary

Methods
`String` `getName()`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

#### name

    private final String name

Parameter name.

### Constructor Detail

#### UnknownParameterException

    public UnknownParameterException(String name)

Construct an exception from the unknown parameter.

Parameters:
  `name` - parameter name.

### Method Detail

#### getName

    public String getName()

Returns:
  the name of the unknown parameter.